Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.conf
Class BeliefSystemTypeOption

    java.lang.Object
      org.kie.api.runtime.conf.BeliefSystemTypeOption

All Implemented Interfaces:
  Serializable, Option, KieSessionOption, SingleValueKieSessionOption

    public class BeliefSystemTypeOption

extends Object
implements SingleValueKieSessionOption

A class for the belief system configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the belief system configuration

Method Summary
`boolean` | `equals(Object obj)`
`static BeliefSystemTypeOption` | `get(String beliefSystemType)` This is a factory method for this belief system configuration.
`String` | `getBelieSystemType()` Returns the configured clock type
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the belief system configuration

  See Also:
    Constant Field Values

Method Detail

### get

    public static BeliefSystemTypeOption get(String beliefSystemType)

  This is a factory method for this belief system configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `beliefSystemType` - the identifier for the belie system
  Returns:
    the actual type safe default clock type configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getBelieSystemType

    public String getBelieSystemType()

  Returns the configured clock type

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.